RASQLTIMEINDEX(1)

NAME
rasqltimeindex - read argus(8) data from mysql database.

SYNOPSIS
rasqltimeindex -r argus.data.file -w mysql://user@host/db

DESCRIPTION

Rasqltimeindex index argus data files by time. The principal function of rasqltimeindex is to provide fast access to indexed argus data files based on time. Rasqltimeindex, like all ra based clients, supports a number of ra options rasqltimeindex(1) specific options are:

RASQLTIMEINDEX SPECIFIC OPTIONS

-w <mysql://[user[:pass]@]host[:port]/db>
    Specify the mysql database to use in maintaining the 'Seconds', 'Probe', and 'Filename' database index tables.

INVOCATION
This invocation reads argus(8) data from the file argus.file and creates an index of every second in the file in the db database, using the user database account.

   rasqltimeindex -r argus.file -w mysql://user@localhost/db

To take advantage of the speedup provided by the time indexing, use rasql to read the mysql database, with a time filter. This example will read from the database that contains the 'Seconds', 'Probe', and 'Filename' database index tables, and search for all flow records from 00:00:00 - 00:00:25, 20 days ago.
   rasql -r mysql://user@localhost/db -t -20d+25s

COPYRIGHT
Copyright (c) 2000-2016 QoSient. All rights reserved.

SEE ALSO
ra(1), rasql(1), rarc(5), argus(8),

AUTHORS
Carter Bullard (carter@qosient.com).